the global config object

### Hierarchy

- Config

## Index

### Properties

- dateMapper
- logReceiver
- sessionValidityEnsurer
- tableNameResolver

## Properties

### dateMapper

dateMapper: MapperForType<any, any>

- Defined in config/config.type.ts:17

mapper used for DateProperty decorated properties

### logReceiver

logReceiver: LogReceiver

- Defined in config/config.type.ts:13

function receiving all the log statements

### sessionValidityEnsurer

sessionValidityEnsurer: SessionValidityEnsurer

- Defined in config/config.type.ts:25

function called before calling dynamoDB api

### tableNameResolver

tableNameResolver: TableNameResolver

- Defined in config/config.type.ts:21

function used to create the table names

Generated using TypeDoc